export class TagManager {
  mainmanager;

  #tags = new Map([]);

  constructor() {}

  async getTags() {
    const currentLocalization = this.mainmanager.getCurrentLangCode();

    let allTagsReqSend = fetch(`/data/${currentLocalization}/tags`);

    let allTagsReq = await allTagsReqSend;
    let allTags;
    if (allTagsReq.ok) allTags = await allTagsReq.json();

    this.#tags.clear();

    allTags.forEach((tag) => this.#tags.set(tag.id, tag));
  }

  get allTags() {
    return this.#tags;
  }
}
